Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.util
Class StylesheetAssociation

    java.lang.Object
      com.novell.xml.util.StylesheetAssociation

    public class StylesheetAssociation

extends Object

Represents a stylesheet association that occurs in an XML document as an `xsl-stylesheet` processing instruction.

Constructor Summary
`StylesheetAssociation(String href, String type, String title, String media, String charset, boolean alternate)` Construct a `StylesheetAssociation` with the passed values from the document processing instruction.

Method Summary
`String` | `getCharset()` Return the value of the `charset` pseudo attribute, or the empty string if the `charset` pseudo attribute was not specified.
`String` | `getHref()` Return the value of the `href` pseudo attribute.
`String` | `getMedia()` Return the value of the `media` pseudo attribute, or the empty string if the `media` pseudo attribute was not specified.
`String` | `getTitle()` Return the value of the `title` pseudo attribute, or the empty string if the `title` pseudo attribute was not specified.
`String` | `getType()` Return the value of the `type` pseudo attribute.
`boolean` | `isAlternate()` Return `true` if the `alternate` pseudo attribute was specified and had the value `yes`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetAssociation

    public StylesheetAssociation(String href,
                                 String type,
                                 String title,
                                 String media,
                                 String charset,
                                 boolean alternate)

  Construct a `StylesheetAssociation` with the passed values from the document processing instruction.

  Parameters:
    `href` - The value of the `href` pseudo attribute. This must not be `null` or empty.
    `type` - The value of the `type` pseudo attribute. This must not be `null` or empty.
    `title` - The value of the `title` pseudo attribute.
    `media` - The value of the `media` pseudo attribute.
    `charset` - The value of the `charset` pseudo attribute.
    `alternate` - `true` if the `alternate` pseudo attribute was present and had a value of `yes`.

Method Detail

### getHref

    public String getHref()

  Return the value of the `href` pseudo attribute.

  Returns:
    The value of the `href` pseudo attribute.

### getType

    public String getType()

  Return the value of the `type` pseudo attribute.

  Returns:
    The value of the `type` pseudo attribute.

### getTitle

    public String getTitle()

  Return the value of the `title` pseudo attribute, or the empty string if the `title` pseudo attribute was not specified.

  Returns:
    The value of the `title` pseudo attribute, or the empty string.

### getMedia

    public String getMedia()

  Return the value of the `media` pseudo attribute, or the empty string if the `media` pseudo attribute was not specified.

  Returns:
    The value of the `media` pseudo attribute, or the empty string.

### getCharset

    public String getCharset()

  Return the value of the `charset` pseudo attribute, or the empty string if the `charset` pseudo attribute was not specified.

  Returns:
    The value of the `charset` pseudo attribute, or the empty string.

### isAlternate

    public boolean isAlternate()

  Return `true` if the `alternate` pseudo attribute was specified and had the value `yes`.

  Returns:
    `true` if the `alternate` pseudo attribute was specified and had the value `yes`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD